/*
 * Copyright (c) 2004, 2005 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: mapconf.h,v 1.4 2009/07/03 04:47:37 ca Exp $
 */

#ifndef SM_MAPCONF_H
#define SM_MAPCONF_H 1

#include "sm/generic.h"
#include "sm/map-str.h"
#include "sm/mapcnf.h"

sm_ret_T sm_mapconfopen(map_decl_P _mapdef, sm_maps_P _maps, const char *_confdir);
sm_ret_T sm_mapcnfopen(map_decl_P _mapdef, sm_maps_P _maps, const char *_confdir, mapspec_P _md_maps);
mapspec_P sm_mapconffind(map_decl_P _mapdef, const char *_map_name);

#endif /* SM_MAPCONF_H */
