/*
 * Copyright (c) 2004-2006 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: cdb.h,v 1.5 2006/07/15 05:34:42 ca Exp $
 */

#include "sm/generic.h"

#ifndef LIBCDB_CDB_H
#define LIBCDB_CDB_H 1
#include "sm/magic.h"
#include "sm/io.h"

struct cdb_ctx_S
{
	sm_magic_T	 sm_magic;
	char		*cdbx_base;	/* sm_str_P ? */
	/* other data? */
};

#define SM_IS_CDB_CTX(cdb_ctx) SM_REQUIRE_ISA((cdb_ctx), SM_CDB_MAGIC)

extern sm_stream_T SmCDBStL;
open_F		sm_cdbopen;
sm_ret_T	cdb_crt_path(const char *_cdb_id, const char *_base, char *_cdb_path, size_t _path_len);

#endif /* LIBCDB_CDB_H */
