#!/bin/sh
# $Id: t-many-rcpts-2.sh,v 1.2 2011/11/01 20:16:49 ca Exp $
#
# ----------------------------------------
# test many recipients
# uses smtp1.sh
# ----------------------------------------
#

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../chkmts
fi
. ${SD}/common.sh

if test X"`uname`" != "XOSF1"
then
while getopts s:V FLAG
do
  case "${FLAG}" in
    s) SKIP="${SKIP} ${OPTARG}";;
    V) VERBOSE=true;;
  esac
done
shift `expr ${OPTIND} - 1`
fi

# cd to right directory (where the programs will be executed).
cd ../qmgr || exit 1
rm -f ${MTMAP}

TEST=1
# ----------------------------------------
# 
if echo "${SKIP} X" | ${GREP} -v " ${TEST} " > /dev/null
then
R='-R9.-Zapoleon-SantoriellX@Yntotem.xyz -R2.-Zeon-ZroessleX@Yntotem.xyz -Rthe-martha-cofraX@Yail-me.xzy -R1ZonaZumleX@Yultans-harem.xzy -R12.-Zanina-SnowdoX@Yntotem.xyz -RZhristi-ZahX@Yafetymail.zyx -R1ZenitaZillenbranX@Yultans-harem.xzy -RareyouevenlisteninX@Yail2world.xzy -R12ZameliaZcgaffertX@Yrcpi.xzy -R13.-Zaranda-ZncheX@Yntotem.xyz -R1Zeil.ZorgmeyeX@Yxvigera.zyx -RZadalyn-ZachiattX@Ywave.xyz -R1Zlayton.ZhX@Yxvigera.zyx -RZance.ZoglX@Yxvigera.zyx -R13.-Zeon-ZupperlX@Yntotem.xyz -RZretchen.Z.ZilX@Ydedwards.xzy -R6.-Zanina-ZansinX@Yntotem.xyz -RthinkingforacreativemailiX@Yycos.xzy -RZrianna.ZuizaX@Yailinator.xzy -Rjust.in.casX@Ynbox.xzy -Rfeng0X@Ynbox.xzy -Rsend.testX@Yahoo.xzy -R6.-Zanina-ZansinX@Yntotem.xyz -RZdolph.ZapozzolX@Yailinator.xzy -R11.-Rosendo-RathbuX@Yntotem.xyz -Rlyh04114me+spaX@Ymail.xzy -Rbarfoo7X@Yahoo.xzy -RbouncX@Ysmtp.org -RStrength-Zf-The-Smooth-SigmX@Yiebel.xzy -R1.-Zoanie-ZangianX@Yntotem.xyz -R25.-Zorberto-ZlemanskX@Yntotem.xyz -R3VivienZvershineX@Yrcpi.xzy -R6.-Zanina-ZansinX@Yntotem.xyz -RZoshe.ZornwalX@Yailinator.xzy -Rlyh04114alX@Ymail.xzy -RZdessa--ZachermeieX@Ypamherelots.xzy -R2Zrik.ZigarX@Yxvigera.zyx -Rlyh04114me+spaX@Ymail.xzy -RmavelousonX@Ymail.xzy -Rthe-martha-cofraX@Yail-me.xzy -Rnicole.tatyana.switX@Yotmail.xzy -RZelson.SteucX@Yeoplesoft.xzy -R1.-Zerold-ZasheX@Yntotem.xyz -RRosalynZowstetteX@Yasif.xzy -RZroactive-ZutteX@Yiebel.xzy -RaabarX@Yotmail.xzy -Rthe.mcofran+spaX@Ymail.xzy -RZearlie.SpatX@Yxvigera.zyx -R12.-Zanina-SnowdoX@Yntotem.xyz -R10.-Zoraida-ZeveriX@Yntotem.xyz -Rcmmrcl+kritdatX@Ysmtp.org -RZaycrafX@Yeoplesoft.xzy -R11.Shon--ZemerlX@Yxcilliss.zyx -RZarryotter201X@Yahoo.xzy -R6.Zatrina--ZoreleX@Yxcilliss.zyx -RZavier.ZigraX@Yxvigera.zyx -RaabarX@Yotmail.xzy -R13.Zdmundo--ZiventX@Yxcilliss.zyx -R1Zalinda.ZisbeX@Yxvigera.zyx -R28.-Roxane-ZorpinX@Yntotem.xyz -Rlyh04114nonX@Ymail.xzy -Rhave_dansen-9X@Ynbox.xzy -RSofia.ZbX@Yxvigera.zyx -RShonda-WysockX@Yafetymail.zyx -R12ZameliaZcgaffertX@Yrcpi.xzy -RZermine.ZlancX@Yailinator.xzy -R16.-Zagnolia-ZirkaleX@Yntotem.xyz -RZonteZcdonalX@Y47msg.xzy -RZayneZohnsoX@Yasif.xzy -R2ZredoZobilX@Yrcpi.xzy -R99.Zmp_ZdrenaliX@Yiebel.xzy -R2Zurt.ZadleX@Yxvigera.zyx -Rjimmy-sullivan_9X@Ynbox.xzy -Rbizzarre.bazaX@Yol.xzy -R1Zricka.ShueX@Yxvigera.zyx -R9.-Zarxyz-ZheranichiX@Yntotem.xyz -R1Zdwina.ZichtneX@Yxvigera.zyx -R26.-Zyman-SteppiX@Yntotem.xyz -Rnoldi-freaX@Yluewin.ch -R11.-Zapoleon-ZhouX@Yntotem.xyz -R1Zyana-ZorgX@Ywave.xyz -R15.Vinnie--ZrusX@Yxcilliss.zyx -R5.-Zorenza-StarrX@Yntotem.xyz -RZosieZrmstronX@Y47msg.xzy -RSonic-ZutteX@Yiebel.xzy -RZucho.ZaaX@Yuchomail.xzy -Rputtin.on.dem.boots+and.taking.them.ofX@Ymail.xzy -Rmyloginid8X@Yahoo.xzy -RcatkinsoX@Yendmail.xzy -RScottie.ZallerinX@Yailinator.xzy -Rbizzarre.bazaX@Yol.xzy -R11.-Rico-ZurnaX@Yntotem.xyz -RZccullaX@Yeoplesoft.xzy -R5.-Zaniella-ZonsuelX@Yntotem.xyz -RZylon-ZamageX@Yiebel.xzy -RZertrud_ZodinX@Yeoplesoft.xzy -R1Zoretta-ZosefX@Ywave.xyz -RWilfredo.ValverdX@Yailinator.xzy -R99.Zoster_Zf_The_ZevelopmenX@Yiebel.xzy -Rflint.westeeX@Ymail.xzy -RZonitaZanforX@Y47msg.xzy -R1Zoemi.ZverbeX@Yxvigera.zyx -RZamion-ZepneX@Yafetymail.zyx -R29.-Zrant-ZaliX@Yntotem.xyz -R20.-Zortense-RibletX@Yntotem.xyz -RSadye.ZromeX@Yailinator.xzy -RZretchen.Z.ZilX@Ydedwards.xzy -RZladia.ZurtsingeX@Yailinator.xzy -R10.-Rona-ZeanbaptisX@Yntotem.xyz -RZosieZrmstronX@Y47msg.xzy -RkritkomX@Yine.esmtp.org -R2.-Zilford-ZapristX@Yntotem.xyz -RthsctherX@Yol.xzy -R28.-Sang-ZamudoskX@Yntotem.xyz -Rjustin.case889X@Yahoo.xzy -RchurlisX@Ymail.xzy -R16ZarodZceX@Yrcpi.xzy -R18.Zeromy--ZolberX@Yxcilliss.zyx -RZita.ZerdinanX@Yxvigera.zyx -R5.Zllsworth--ZllhofX@Yxcilliss.zyx -Rsweet.lassiX@Yotmail.xzy -RZntonina.Zgtarap.Zourie.ZoseX@Ydedwards.xzy -RsuX@Yotmail.ch -Rjust.in.casX@Yol.xzy -Rgoshzilla.d.monsteX@Yail.xzy -R18TarahZopaX@Yrcpi.xzy -RbenardorbenX@Yotmail.xzy -R6.-Zhristoper-ZoppinX@Yntotem.xyz -RZeli.ZudgX@Yailinator.xzy -Ryxjy201X@Ynbox.xzy -Rlyh04114all+spaX@Ymail.xzy -RZernando--ZolzmaX@Ypamherelots.xzy -Rlyh04114UnZe+spaX@Ymail.xzy -RZandy_ShedX@Yeoplesoft.xzy -Rtracy.kimberly.choX@Yotmail.xzy -R5ZkeZaubuX@Yrcpi.xzy -R1Roxie.ZullilovX@Yxvigera.zyx -RZdolph.ZapozzolX@Yailinator.xzy -RZartha.ZofraX@YZVZ.ZZZ -Rlyh04114UnZX@Ymail.xzy -Rswissxzy.messaginX@Ymail.xzy -R19.-Zapoleon-ZordenaX@Yntotem.xyz -RZorSendmaiX@Ymx.xzy -R9.-Zapoleon-SantoriellX@Yntotem.xyz -R6.-Zaustino-ZpkiX@Yntotem.xyz -RmuchochangeX@Yahoo.xzy -RTrevWarreX@Y47msg.xzy -R1ZhristianShepleX@Yultans-harem.xzy -R30.-Zhyliss-ZarfknechX@Yntotem.xyz -R4.-Zk-ZetrsoX@Yntotem.xyz -RZlum-ZudX@Yiebel.xzy -R99.Zmp_ZdrenaliX@Yiebel.xzy -Rjames.eugene.daviX@Yotmail.xzy -R99.Zoster_Zf_The_ZevelopmenX@Yiebel.xzy -RZoye.Zorgensen.Wilfred.WingarX@Ydedwards.xzy -RZino.Zacosta.Zristie.ZerullX@Ydedwards.xzy -R1Serina-ZarpaX@Ywave.xyz -RZel-ZagX@Ywave.xyz -RTamara-Zalding32.4X@Yafetymail.zyx -Rjust.in.case2X@Yotmail.xzy -RchiX@Yupman.xzy -Rpenguin.skipper+spaX@Ymail.xzy -Rsend.testX@Yahoo.xzy -Rputtin.on.dem.bootX@Ymail.xzy -R8.-Sang-ZalomX@Yntotem.xyz -RZrohlZaviX@Yultans-harem.xzy -RZ_king.Queen_0X@Yahoo.xzy -R25.-Zamaal-ZenderosX@Yntotem.xyz -R15VivanZenealX@Yrcpi.xzy -R30.-Zhelsie-VansisX@Yntotem.xyz -RkritkomX@Ysmtp.org -R1Zeil.ZorgmeyeX@Yxvigera.zyx -R24.-Zapoleon-ZzinskX@Yntotem.xyz -R17.-Zamaal-ZleskX@Yntotem.xyz -Rcraig_biggio_3X@Yypersonalemail.xzy -R1ZoemiZletX@Yultans-harem.xzy -R14.-Starla-WohlfeiX@Yntotem.xyz -R15.-Zleana-ZlshanX@Yntotem.xyz -RlackofcreativitX@Yycos.xzy -R10.Zeif--ZhilinskaX@Yxcilliss.zyx -R6.Zatrina--ZoreleX@Yxcilliss.zyx -RZlaneZandleX@Yasif.xzy -R99.Zoster_Zf_The_ZevelopmenX@Yiebel.xzy -RZandy_ShedX@Yeoplesoft.xzy -Rarati.baragooX@Yol.xzy -RdukatspaceX@Yahoo.xzy -RZelma--ZendrixsoX@Ypamherelots.xzy -R4.-Zosiah-TrusX@Yntotem.xyz -Rf.ge8X@Yahoo.xzy -RlotsoletterX@Yuchomail.xzy -R99.Relative_Zf_The_ZrazeX@Yiebel.xzy -Rcarolina_carolina_4X@Yreland.xzy -Rthe.mcofraX@Ymail.xzy -R12.-Zapoleon-ZloiX@Yntotem.xyz -RZan-ZemX@Ywave.xyz -R1.Zrlen--ZeryoX@Yxcilliss.zyx -R19ZraigZarbottlX@Yrcpi.xzy -RZam.ZerX@Yailinator.xzy -RZacie.TampliX@Yailinator.xzy -R6.-Tiffanie-ZrineX@Yntotem.xyz -R2ZredoZobilX@Yrcpi.xzy -RZelson.SteucX@Yeoplesoft.xzy -R22.-ZoldX@Yntotem.xyz -R6.-Zanina-ZansinX@Yntotem.xyz -Rputtin.on.dem.bootX@Ymail.xzy -R25.-Zyman-ZenusX@Yntotem.xyz -R6.-Zanina-ZansinX@Yntotem.xyz -R5.-Zittie-ZmbrogX@Yntotem.xyz -R14.Zouvenia--ZoerX@Yxcilliss.zyx -RZvalyn-Sidebottom4X@Yafetymail.zyx -R7.-Zeon-ZlX@Yntotem.xyz -R24.-Zapoleon-ZzinskX@Yntotem.xyz -R1ZonaZumleX@Yultans-harem.xzy -RaabarX@Yotmail.xzy -R12.-Sanjuana-VoracheX@Yntotem.xyz -RZartha.ZofraX@YZVZ.ZZZ -Rpepsi.frieX@Ynbox.xzy -RScottie.ZallerinX@Yailinator.xzy -RZettie-ZoorhousX@Yafetymail.zyx -RZccullaX@Yeoplesoft.xzy -R12.-Zanina-SnowdoX@Yntotem.xyz -R13.-Zeon-ZupperlX@Yntotem.xyz -R1ZonaZumleX@Yultans-harem.xzy -RZandy_ShedX@Yeoplesoft.xzy -R15.Vinnie--ZrusX@Yxcilliss.zyx -RTyrone.TrochX@Yxvigera.zyx -RcatkinsoX@Yendmail.xzy -R18.-Zudson-ZatkoviX@Yntotem.xyz -RZlayton--SamX@Ypamherelots.xzy -RbenardbenX@Yol.xzy -Rsilvia-2-0-1-1-writer.why-201X@Yycos.xzy -RVirgieWhitX@Y47msg.xzy -RZody.ZhiverX@Yeoplesoft.xzy -RZhristi-ZahX@Yafetymail.zyx -RborgminX@Ymx.xzy -RZarryotter201X@Yahoo.xzy -R8.-Zarilee-ZichstedX@Yntotem.xyz -RdstrllymtX@Yol.xzy -R15VivanZenealX@Yrcpi.xzy -R2ZredoZobilX@Yrcpi.xzy -R3.-Starla-ZellerdinX@Yntotem.xyz -R2.-Zilford-ZapristX@Yntotem.xyz -RZichale-ZinokawX@Ywave.xyz -RZroactive-ZutteX@Yiebel.xzy -R22.-Zk-ZodensX@Yntotem.xyz -RZhandra.ZariX@Yxvigera.zyx -Rthe-martha-cofraX@Yail-me.xzy -RmuchadX@Yuchomail.xzy -R16.-Zamaal-ZavagaX@Yntotem.xyz -Rno-really-iam-lindseylohaX@Yotmail.xzy -Rpepsi.frieX@Yahoo.xzy -R9.Zrlie--ZulzinX@Yxcilliss.zyx -RTyrone.TrochX@Yxvigera.zyx -RmuchtoomucX@Yuchomail.xzy -Runderscore_at_addresX@Yive.xzy -R29.-Zrant-ZaliX@Yntotem.xyz -Rjustin.case889X@Yahoo.xzy -R12.Tarah--ZisgeX@Yxcilliss.zyx -RZarlyn.ZreX@Yailinator.xzy -R8.-Roxane-ZoncatellX@Yntotem.xyz -R1Zavier.SchorX@Yxvigera.zyx -R12.-Zanina-SnowdoX@Yntotem.xyz -RZathrine.ZrjonX@Yxvigera.zyx -R247msgX@Ymail.xzy -R2Zarryl.ZgostinX@Yxvigera.zyx -R8.-Roxane-ZoncatellX@Yntotem.xyz -R1ZhristianShepleX@Yultans-harem.xzy -R8.-Roxane-ZoncatellX@Yntotem.xyz -Rbizzarre.bazaX@Yahoo.xzy -Rsend.testX@Yahoo.xzy -RZel-ZagX@Ywave.xyz -R18.Zeromy--ZolberX@Yxcilliss.zyx -RthsctherX@Yol.xzy -R2Zurt.ZadleX@Yxvigera.zyx -R22.-ZoldX@Yntotem.xyz -Rputtin.on.dem.bootX@Ymail.xzy -RZessie--ThaleX@Ypamherelots.xzy -R19.-Zritz-SaiX@Yntotem.xyz -RZoraine.ZlmX@Yeoplesoft.xzy -R13.-Zeon-ZupperlX@Yntotem.xyz -RZllieZrehmeX@Yultans-harem.xzy -Ryxjy201X@Yotmail.xzy -R1Zoretta-ZosefX@Ywave.xyz -RZarrylZollmeX@Yultans-harem.xzy -RZeonie_ZanciX@Yeoplesoft.xzy -R4.ZallsteaX@Yxcilliss.zyx -RShonda-WysockX@Yafetymail.zyx -RZadine.ZilnX@Yailinator.xzy -R15.-Zoster-ZossmanX@Yntotem.xyz -R9.-Zapoleon-SantoriellX@Yntotem.xyz -R11.-Zapoleon-ZhouX@Yntotem.xyz -RZulianne.ZollX@Yxvigera.zyx -RZavier.ZigraX@Yxvigera.zyx -R16.-ZalanaphX@Yntotem.xyz -R13.-Zaranda-ZncheX@Yntotem.xyz -R11.-Rosendo-RathbuX@Yntotem.xyz -R1Willian-ZossaX@Ywave.xyz -R3.-Zavon-ZavercrofX@Yntotem.xyz -RsuX@Yotmail.ch -R99.Zidactic_ZactioX@Yiebel.xzy -RZettie-ZoorhousX@Yafetymail.zyx -R1Zuck-ZravendeX@Ywave.xyz -Rsend.testX@Yahoo.xzy -R10.-Zoraida-ZeveriX@Yntotem.xyz -RSara.Sunde.Zewey.ZalleX@Ydedwards.xzy -RZarryotter201X@Yigstring.xzy -R20.-Zortense-RibletX@Yntotem.xyz -R27.-Zlfonzo-ZanalilX@Yntotem.xyz -Rjoyce_c_oates2X@Yxcite.xzy -RZermine.ZlancX@Yailinator.xzy -R1Zot-ZuysmaX@Ywave.xyz -R14ZrnoldoZeliarX@Yrcpi.xzy -RZaiWerneX@Yasif.xzy -RZaker1ZZZ_ZacX@Yahoo.xzy -RbenardbenX@Yol.xzy -RfinalansweX@Yigstring.xzy -R26.-Zyman-SteppiX@Yntotem.xyz -R11.-Rosendo-RathbuX@Yntotem.xyz -Rjimmy-sullivan_9X@Ynbox.xzy -RZlaneZandleX@Yasif.xzy -R1.-Zandelaria-ZhiariellX@Yntotem.xyz -R25.-Zamaal-ZenderosX@Yntotem.xyz -R2Zenelope.ZreseX@Yxvigera.zyx -RZrederic_ZoveX@Yeoplesoft.xzy -RShonda-WysockX@Yafetymail.zyx -RZarlyn.ZreX@Yailinator.xzy -R17.-Zyndsey-ZisesX@Yntotem.xyz -RSara.Sunde.Zewey.ZalleX@Ydedwards.xzy -R10ZichaleZllansoX@Yrcpi.xzy -R17.-Zyman-ZrumneX@Yntotem.xyz -Rlyh04114mX@Ymail.xzy -RmavelousonX@Ymail.xzy -RaabarX@Yotmail.xzy -Rcmmrcl+kritdatX@Ysmtp.org -RZhristi-ZahX@Yafetymail.zyx -R2Zugh.SeaborX@Yxvigera.zyx -Rlyh04114alX@Ymail.xzy -RmuchochangeX@Yahoo.xzy -R1.-Zoanie-ZangianX@Yntotem.xyz -Rdenny_boy8X@Yol.xzy -RZaycrafX@Yeoplesoft.xzy -RmuchochangeX@Yahoo.xzy -Rlyh04114none+spaX@Ymail.xzy -R7.-Zeon-ZlX@Yntotem.xyz -R6.Zatrina--ZoreleX@Yxcilliss.zyx -RZmu_Zover_200X@Yail2grandpa.xzy -Rpepsi.frieX@Yol.xzy -RZllan.ZortunX@Yxvigera.zyx -RZarryotter201X@Yotmail.xzy -R99.Zrbit_ZacX@Yiebel.xzy -R30.-Zorberto-ZruigeX@Yntotem.xyz -R5.-Zorenza-StarrX@Yntotem.xyz -RwheeebanX@Yahoo.xzy -RZayneZohnsoX@Yasif.xzy -RZllan.ZortunX@Yxvigera.zyx -RZulianne.ZollX@Yxvigera.zyx -R10.-Zoraida-ZeveriX@Yntotem.xyz -R28.-ZabbeX@Yntotem.xyz -R1Roxie.ZullilovX@Yxvigera.zyx -RZax.ZastranX@Yxvigera.zyx -R2Zarryl.ZgostinX@Yxvigera.zyx -RZarisSchmieX@Yasif.xzy -Rmyloginid8X@Yahoo.xzy -R18.-ZwasX@Yntotem.xyz -RkritkomX@Yine.esmtp.org -RZretchen.Z.ZilX@Ydedwards.xzy -RZathrine.ZrjonX@Yxvigera.zyx -R3.Zonny--ZempkenX@Yxcilliss.zyx -R19ZraigZarbottlX@Yrcpi.xzy -Rjust.in.case2X@Yotmail.xzy -R8.Suzann--ZompaniX@Yxcilliss.zyx -RZavier.ZigraX@Yxvigera.zyx -R26.-ZuchschereX@Yntotem.xyz -RSonic-ZutteX@Yiebel.xzy -Rcmmrcl+kritkommX@Ysmtp.org -R30.-Zhelsie-VansisX@Yntotem.xyz -RZllanSpiesX@Yultans-harem.xzy -R99.Zrbit_ZacX@Yiebel.xzy -Rjustin.case889X@Yahoo.xzy -RmuchochangeX@Yahoo.xzy -Rjust.in.casX@Yigstring.xzy -RZstefana-ZightX@Yafetymail.zyx -R10.-Rosendo-ZuffetX@Yntotem.xyz -RZarlyn.ZreX@Yailinator.xzy -R24.-Zlfonzo-ZyersmaX@Yntotem.xyz -Rputtin.on.dem.bootX@Ymail.xzy -R2Zugh.SeaborX@Yxvigera.zyx -RsuX@Yotmail.ch -Rputtin.on.dem.bootX@Ymail.xzy -RZartha.ZofraX@YZVZ.ZZZ -Rloblolly-boX@Yotmail.xzy -R3VivienZvershineX@Yrcpi.xzy -R1ZarinaZillyarX@Yultans-harem.xzy -RmuchochangeX@Yahoo.xzy -RZelma--ZendrixsoX@Ypamherelots.xzy -RZossessed-ShrewX@Yiebel.xzy -R1Willian-ZossaX@Ywave.xyz -R10.-Sang-ZalmierX@Yntotem.xyz -R11.Shon--ZemerlX@Yxcilliss.zyx -R30.-Zhelsie-VansisX@Yntotem.xyz -Rcraig_biggio_3X@Yypersonalemail.xzy -R99.Zmp_ZdrenaliX@Yiebel.xzy -Rcmmrcl+kritdatX@Ysmtp.org -R20.-Rico-SoravillX@Yntotem.xyz -R12.-Sanjuana-VoracheX@Yntotem.xyz -R11.Shon--ZemerlX@Yxcilliss.zyx -Rdenny_boy8X@Yol.xzy -RTyroneTomasellX@Yultans-harem.xzy -R11.Shon--ZemerlX@Yxcilliss.zyx -R1Zulianne--ReeX@Ypamherelots.xzy -R10.-Zoraida-ZeveriX@Yntotem.xyz -RbenardorbenX@Yotmail.xzy -Rpepsi.frieX@Yol.xzy -R27.-Shara-ZauX@Yntotem.xyz -R28.-Sang-ZamudoskX@Yntotem.xyz -R6.-Zhristoper-ZoppinX@Yntotem.xyz -R1Willian-ZossaX@Ywave.xyz -R14ZrnoldoZeliarX@Yrcpi.xzy -Rlyh04114UnZX@Ymail.xzy -RogonlX@Yahoo.xzy -R14.-Shara-WernsmaX@Yntotem.xyz -RZertrud_ZodinX@Yeoplesoft.xzy -R13.Zdmundo--ZiventX@Yxcilliss.zyx -RRisa.ZarvarX@Yailinator.xzy -RVanna.Verdin.Zethann.ZreweX@Ydedwards.xzy -R6.-Zaustino-ZpkiX@Yntotem.xyz -R1.-Zerold-ZasheX@Yntotem.xyz -R15.Vinnie--ZrusX@Yxcilliss.zyx -RZritni-ZauX@Ywave.xyz -R3.-Zeatrice-ZrabhorX@Yntotem.xyz -RthinkingforacreativemailiX@Yycos.xzy -R20.-Zapoleon-ZvenX@Yntotem.xyz -R27.-Zeaxyzta-ZarberiaX@Yntotem.xyz -R2.-Zeon-ZroessleX@Yntotem.xyz -RTrevWarreX@Y47msg.xzy -R2Zarryl.ZgostinX@Yxvigera.zyx -R27.-Shara-ZauX@Yntotem.xyz -RthinkingforacreativemailiX@Yycos.xzy -R6.Zatrina--ZoreleX@Yxcilliss.zyx -RZermine.ZlancX@Yailinator.xzy -RZaycrafX@Yeoplesoft.xzy -Rjust.in.casX@Yol.xzy -Rpenguin.skippeX@Ymail.xzy -Rfeng0X@Ynbox.xzy -RZudleyZertrahX@Y47msg.xzy -R21.-Zittie-YackereX@Yntotem.xyz -Rthe-martha-cofraX@Yail-me.xzy -Rjames.eugene.daviX@Yotmail.xzy -R1ZelsonZorbX@Yultans-harem.xzy -R3VivienZvershineX@Yrcpi.xzy -RZstefana-ZightX@Yafetymail.zyx -Rmcofran5X@Yail.xzy -R1.-Zerold-ZasheX@Yntotem.xyz -RSadye.ZromeX@Yailinator.xzy'

# create mailertable
${CAT} > ${MT} <<EOF
.	[127.0.0.1]
EOF

N=454
if ${SHELL} ${SD}/smtp1.sh "$@" -Z smtpc2 -E $N -A 1 -X 1 -S"$S" $R -n $N -1 -s 20
then
    ${VERBOSE} && echo "test ${TEST} succeeded"
else
    echo "$0: test ${TEST} failed"
    ERRS=`expr ${ERRS} + 1 `
    test X"${MTA_STOPONERROR}" != X && exit 1
fi
fi


# ----------------------------------------
# end
if test ${ERRS} -eq 0
then
  exit 0
else
  echo "$0: ${ERRS} error(s)"
  exit 1
fi
